Overview
GET/project/work-items/{id}/dependenciesproject

A work item's dependencies (joined to the depended-on item titles, by createdAt)

Fetch a record from dependencies by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

Dependencies

  • idstring

    the dependency edge id

  • dependsOnIdstring

    the work item this one depends on

  • titlestring

    the depended-on item title (joined)

  • statusstring

    the depended-on item statusId (joined)

  • createdAtstring
Example
[
  {
    "id": "string",
    "dependsOnId": "string",
    "title": "string",
    "status": "string",
    "createdAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/work-items/{id}/dependencies" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/work-items/{id}/dependencies", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();